import { Control } from "igniteui-react-core/ES5/Control";
import { INotifyPropertyChanged, Type, Point, PropertyChangedEventArgs, IEnumerable, EventArgs, IEnumerable$1, IList$1, Base, DomRenderer, DomWrapper } from "igniteui-react-core/ES5/type";
import { ILegendOwner } from "igniteui-react-core/ES5/ILegendOwner";
import { IInternalLegendOwner } from "igniteui-react-core/ES5/IInternalLegendOwner";
import { SRProvider } from "igniteui-react-core/ES5/SRProvider";
import { DoubleAnimator } from "igniteui-react-core/ES5/DoubleAnimator";
import { IChartLegend } from "igniteui-react-core/ES5/IChartLegend";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
import { DependencyObject } from "igniteui-react-core/ES5/DependencyObject";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { ChartHitTestMode } from "./ChartHitTestMode";
import { InteractionState } from "igniteui-react-core/ES5/InteractionState";
import { WindowResponse } from "./WindowResponse";
import { Visibility } from "igniteui-react-core/ES5/Visibility";
import { IOverviewPlusDetailPane } from "igniteui-react-core/ES5/IOverviewPlusDetailPane";
import { SeriesViewerComponentsFromView } from "./SeriesViewerComponentsFromView";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { ModifierKeys } from "igniteui-react-core/ES5/ModifierKeys";
import { DataTemplate } from "igniteui-react-core/ES5/DataTemplate";
import { HorizontalAlignment } from "igniteui-react-core/ES5/HorizontalAlignment";
import { CanvasRenderScheduler } from "igniteui-react-core/ES5/CanvasRenderScheduler";
import { SyncSettings } from "./SyncSettings";
import { SeriesViewerComponentsForView } from "./SeriesViewerComponentsForView";
import { Dictionary$2 } from "igniteui-react-core/ES5/Dictionary$2";
import { PropertyUpdatedEventArgs } from "igniteui-react-core/ES5/PropertyUpdatedEventArgs";
import { NotifyCollectionChangedEventArgs } from "igniteui-react-core/ES5/NotifyCollectionChangedEventArgs";
import { ObservableCollection$1 } from "igniteui-react-core/ES5/ObservableCollection$1";
import { Size } from "igniteui-react-core/ES5/Size";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { FrameworkElement } from "igniteui-react-core/ES5/FrameworkElement";
import { MouseEventArgs } from "igniteui-react-core/ES5/MouseEventArgs";
import { MouseButtonEventArgs } from "igniteui-react-core/ES5/MouseButtonEventArgs";
import { Key } from "igniteui-react-core/ES5/Key";
import { RectChangedEventArgs } from "igniteui-react-core/ES5/RectChangedEventArgs";
import { Thickness } from "igniteui-react-core/ES5/Thickness";
import { AxisTitlePosition } from "./AxisTitlePosition";
import { FontInfo } from "igniteui-react-core/ES5/FontInfo";
import { IFastItemsSource } from "igniteui-react-core/ES5/IFastItemsSource";
import { CoercionInfo } from "./CoercionInfo";
import { ChartContentType } from "./ChartContentType";
import { ISchedulableRender } from "igniteui-react-core/ES5/ISchedulableRender";
import { Rectangle } from "igniteui-react-core/ES5/Rectangle";
import { Path } from "igniteui-react-core/ES5/Path";
import { Line } from "igniteui-react-core/ES5/Line";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
import { EventProxy } from "igniteui-react-core/ES5/EventProxy";
import { TextBlock } from "igniteui-react-core/ES5/TextBlock";
import { ITileZoomTile } from "./ITileZoomTile";
import { RenderSurface } from "./RenderSurface";
import { PathGeometry } from "igniteui-react-core/ES5/PathGeometry";
import { DataContext } from "igniteui-react-core/ES5/DataContext";
import { LabelPanelsArrangeState } from "./LabelPanelsArrangeState";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { IProvidesViewport } from "./IProvidesViewport";
import { PointerTooltipStyle } from "./PointerTooltipStyle";
import { BrushCollection } from "igniteui-react-core/ES5/BrushCollection";
import { DefaultPaletteInfo } from "./DefaultPaletteInfo";
import { AxisRange } from "./AxisRange";
import { AxisAnnotationCollection } from "./AxisAnnotationCollection";
import { VerticalAlignment } from "igniteui-react-core/ES5/VerticalAlignment";
import { Canvas } from "igniteui-react-core/ES5/Canvas";
import { IFastItemsSourceProvider } from "igniteui-react-core/ES5/IFastItemsSourceProvider";
import { AxisExtentType } from "./AxisExtentType";
import { DoubleCollection } from "igniteui-react-core/ES5/DoubleCollection";
import { LabelPosition } from "./LabelPosition";
import { LabelFontHeuristics } from "./LabelFontHeuristics";
import { AxisOrientation } from "./AxisOrientation";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { AxisComponentsFromView } from "./AxisComponentsFromView";
import { AxisRangeChangedEventArgs } from "./AxisRangeChangedEventArgs";
import { GeometryCollection } from "igniteui-react-core/ES5/GeometryCollection";
import { PathRenderingInfo } from "./PathRenderingInfo";
import { RenderRequestedEventArgs } from "./RenderRequestedEventArgs";
import { ScalerParams } from "./ScalerParams";
import { CategoryMode } from "./CategoryMode";
import { GridMode } from "./GridMode";
import { Panel } from "igniteui-react-core/ES5/Panel";
import { TickmarkValues } from "./TickmarkValues";
import { UIElement } from "igniteui-react-core/ES5/UIElement";
import { ICategoryScaler } from "./ICategoryScaler";
import { FastItemsSourceEventArgs } from "igniteui-react-core/ES5/FastItemsSourceEventArgs";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { AxisRenderingParametersBase } from "./AxisRenderingParametersBase";
import { Marker } from "./Marker";
import { Polyline } from "igniteui-react-core/ES5/Polyline";
import { ContentControl } from "igniteui-react-core/ES5/ContentControl";
import { Polygon } from "igniteui-react-core/ES5/Polygon";
import { ILegendSeries } from "igniteui-react-core/ES5/ILegendSeries";
import { ILegendTemplateProvider } from "igniteui-react-core/ES5/ILegendTemplateProvider";
import { StandardLegendItems } from "igniteui-react-core/ES5/StandardLegendItems";
import { StandardLegendBadges } from "igniteui-react-core/ES5/StandardLegendBadges";
import { PenLineCap } from "igniteui-react-core/ES5/PenLineCap";
import { Color } from "igniteui-react-core/ES5/Color";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { SeriesComponentsForView } from "./SeriesComponentsForView";
import { SeriesComponentsFromView } from "./SeriesComponentsFromView";
import { IFastItemColumn$1 } from "igniteui-react-core/ES5/IFastItemColumn$1";
import { MarkerType } from "./MarkerType";
import { Style } from "igniteui-react-core/ES5/Style";
import { HighlightingState } from "./HighlightingState";
import { HashPool$2 } from "igniteui-react-core/ES5/HashPool$2";
export declare abstract class SeriesViewer extends Control implements INotifyPropertyChanged, ILegendOwner, IInternalLegendOwner {
    bk: SeriesViewerView;
    static staticInit(): void;
    private bv;
    private readonly bw;
    private a0;
    readonly a1: ISeriesViewerInteractionManager;
    readonly cs: boolean;
    constructor();
    private bg;
    hm(): void;
    private i5(a, b);
    hn(): void;
    readonly series: SeriesCollection;
    private a3;
    private jx(a, b);
    private _skipDataCleanup;
    skipDataCleanup: boolean;
    protected jr(a: any): void;
    private jy(a, b);
    hq(a: number, b: number, c: boolean, d: boolean): {
        p0?: number;
        p1?: number;
    };
    ci(): boolean;
    protected readonly cp: boolean;
    readonly az: IHighlightingManager;
    bl: DoubleAnimator;
    private hl(a, b);
    j9(a: number): void;
    hk(): void;
    l0(a: number): Brush;
    l6(a: number): Brush;
    l4(a: number): Brush;
    l5(a: number): Brush;
    al: ChartContentManager;
    mc: Point;
    private mb;
    readonly cr: boolean;
    ay: IChartLegend;
    static readonly k5: DependencyProperty;
    ca: boolean;
    static readonly ku: DependencyProperty;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected jd(a: string, b: any, c: any): void;
    id(): void;
    ie(a: IEnumerable): void;
    ip(a: Series, b: any, c: any): void;
    it(a: Series, b: any, c: any): void;
    iq(a: Series, b: any, c: any): void;
    ir(a: Series, b: any, c: any): void;
    is(a: Series, b: any, c: any): void;
    iu(a: Series, b: any, c: any): void;
    iv(a: Series, b: any, c: any): void;
    seriesCursorMouseMove: (sender: any, e: ChartCursorEventArgs) => void;
    jf(a: Series, b: any): void;
    seriesMouseLeftButtonDown: (sender: any, e: DataChartMouseButtonEventArgs) => void;
    jj(a: Series, b: any, c: MouseButtonEventArgs): void;
    seriesMouseLeftButtonUp: (sender: any, e: DataChartMouseButtonEventArgs) => void;
    jk(a: Series, b: any, c: MouseButtonEventArgs): void;
    seriesMouseMove: (sender: any, e: ChartMouseEventArgs) => void;
    jl(a: Series, b: any, c: MouseEventArgs): void;
    seriesMouseEnter: (sender: any, e: ChartMouseEventArgs) => void;
    jh(a: Series, b: any, c: MouseEventArgs): void;
    seriesMouseLeave: (sender: any, e: ChartMouseEventArgs) => void;
    ji(a: Series, b: any, c: MouseEventArgs): void;
    private mj;
    protected get_mx(): Rect;
    readonly mx: Rect;
    private mh;
    mo: Rect;
    ms(a: Rect, b: Rect, c: Rect): Rect;
    private by;
    private mg;
    protected get_mn(): Rect;
    readonly mn: Rect;
    mq(a: Rect, b: Rect, c: Rect): Rect;
    protected mm(a: Rect): Rect;
    mr(): Rect;
    protected j5(a: Axis): void;
    my: Rect;
    dg: boolean;
    b8: boolean;
    c8: boolean;
    e3: number;
    private ew;
    ez: number;
    e2: number;
    i8(a: Rect, b: Rect): void;
    private a5;
    a6(): SeriesViewerComponentsForView;
    cv: boolean;
    private an;
    ap: ChartHitTestMode;
    jn(): void;
    protected aq(): ChartHitTestMode;
    private am;
    ao: ChartHitTestMode;
    cw: boolean;
    abstract c0(): boolean;
    abstract c1(): boolean;
    cz(): boolean;
    h5(): void;
    h0(): void;
    bf: InteractionState;
    private b0;
    private be;
    ih(a: Point): void;
    ii(a: Point): void;
    c6(a: Point, b: number): boolean;
    h6(a: Point): void;
    c5(a: Key): boolean;
    private b4;
    ce: boolean;
    private bz;
    cb: boolean;
    protected get_ct(): boolean;
    readonly ct: boolean;
    h8(a: Point): void;
    readonly ch: boolean;
    gw: string;
    im(a: Point): void;
    h9(a: Point, b: boolean): void;
    h7(a: Point): void;
    c7: boolean;
    private i3();
    il(a: Point): void;
    i4(a: Point, b: number, c: number, d: number): void;
    ik(a: number): void;
    i0(a: Point, b: number, c: number, d: number): void;
    ig(a: Point): void;
    ij(a: number): void;
    ia(a: Point): void;
    iz(a: Point, b: number, c: number, d: number): void;
    ic(a: Size): void;
    hj(): void;
    h3(a: Point, b: boolean): void;
    bd(a: boolean): InteractionState;
    i2(): void;
    i1(): void;
    j2(): void;
    hf(): void;
    ha(): void;
    g9(): void;
    i6(): void;
    jq(): void;
    jo(): void;
    h2(a: Point, b: boolean): void;
    private b5;
    dc: boolean;
    h1(a: Point, b: boolean): void;
    ke(a: any, b: PropertyUpdatedEventArgs): void;
    kd(a: SyncLink, b: SyncLink): void;
    hb(a: Point): void;
    kg(a: Rect, b: boolean): void;
    kh(a: Rect, b: boolean, c: boolean): void;
    i7(a: Rect, b: boolean): void;
    readonly cx: boolean;
    private _dj();
    dj(): IEnumerable$1<SeriesViewer>;
    me(a: Point): Point;
    mw(a: Rect): Rect;
    windowRectChanged: (sender: any, e: RectChangedEventArgs) => void;
    private jm(a, b);
    iy(a: Rect, b: Rect): void;
    sizeChanged: (sender: any, e: RectChangedEventArgs) => void;
    iw(a: Size, b: Size): void;
    ck: boolean;
    c9(a: Rect, b: Rect): boolean;
    actualWindowRectChanged: (sender: any, e: RectChangedEventArgs) => void;
    private jb(a, b);
    jw(): void;
    gridAreaRectChanged: (sender: any, e: RectChangedEventArgs) => void;
    private jc(a, b);
    protected get_cu(): boolean;
    readonly cu: boolean;
    io(a: Rect, b: Rect): void;
    ba: WindowResponse;
    cg: boolean;
    eu: number;
    gk: string;
    private a7;
    a8: SyncLink;
    hp(): void;
    m2: Visibility;
    readonly bh: IOverviewPlusDetailPane;
    protected ka(a: boolean): void;
    m1: Visibility;
    cj: boolean;
    df: boolean;
    l8: Brush;
    ly: Brush;
    l7: Brush;
    cd(): boolean;
    b9(): boolean;
    private ey;
    private notifyCrosshairUpdate();
    protected kf(a: number, b: number): void;
    ed(): number;
    ee(): number;
    protected i9(a: any, b: string, c: any, d: any): void;
    kc(): void;
    protected hz(): void;
    kb(): void;
    private b6;
    protected dd: boolean;
    bc: InteractionState;
    lu: ModifierKeys;
    lv: ModifierKeys;
    private mi;
    mt: Rect;
    dk: Date;
    dh: boolean;
    protected j4(): void;
    g5(): void;
    es: number;
    et: number;
    private mv(a);
    refreshCompleted: (sender: any, e: EventArgs) => void;
    je(): void;
    protected abstract bj(): SeriesViewerView;
    protected ix(a: SeriesViewerView): void;
    static mu: Rect;
    ki: DataTemplate;
    kr: DataTemplate;
    ko: DataTemplate;
    kp: DataTemplate;
    kj: DataTemplate;
    km: DataTemplate;
    kk: DataTemplate;
    kq: DataTemplate;
    kn: DataTemplate;
    kl: DataTemplate;
    gm: string;
    lt: HorizontalAlignment;
    ls: HorizontalAlignment;
    private e8;
    gt: string;
    private e7;
    gh: string;
    private lx;
    ma: Brush;
    private lw;
    l9: Brush;
    private d4;
    eq: number;
    private d2;
    eo: number;
    private d3;
    ep: number;
    private d1;
    en: number;
    private d0;
    em: number;
    private dy;
    ek: number;
    private dz;
    el: number;
    private dx;
    ej: number;
    ga: string;
    mz(): Thickness;
    m0(): Thickness;
    aj(a: Axis): AxisTitlePosition;
    ak(a: Axis): AxisTitlePosition;
    abstract getFontInfo(): FontInfo;
    getFontHeight(): number;
    abstract getFontBrush(): Brush;
    abstract lz(): Brush;
    e5: any;
    provideContainer(a: any): void;
    h4(a: number, b: number): void;
    notifyContainerResized(): void;
    mp(): Rect;
    hg(): void;
    md(): Point;
    bn(): FontInfo;
    bm(): FontInfo;
    l1(): Brush;
    l2(): Brush;
    g7(a: Series): void;
    js(a: Series): void;
    ah: CanvasRenderScheduler;
    ai: CanvasRenderScheduler;
    ag: CanvasRenderScheduler;
    private b3;
    c4: boolean;
    private bx;
    b7: boolean;
    a9: SyncSettings;
    g6(a: any): void;
    ju(a: any): void;
    hw(source_: any, a: number, b: any, c: any): void;
    hr(source_: any): void;
    hu(source_: any, a: number, b: any): void;
    hv(source_: any, a: number, b: any): void;
    destroyed: boolean;
    protected e4: any;
    protected di: Dictionary$2<string, any>;
    c3: boolean;
    hd(): void;
    protected he(): void;
    j1(source_: any): void;
    jv(): void;
    j0(a: string, source_: any): void;
    jt(a: string, b: boolean): void;
    protected jz(a: Series, b: any): void;
    protected j7(a: any): void;
    protected j8(): void;
    private d5;
    er: number;
    private du;
    eg: number;
    private dw;
    ei: number;
    private ds;
    ec: number;
    private dr;
    eb: number;
    private dq;
    ea: number;
    da(): boolean;
    private b1;
    cm: boolean;
    private dv;
    eh: number;
    private dt;
    ef: number;
    static bb(a: string, b: any): CoercionInfo;
    private e6;
    fy: string;
    private dm;
    d7: number;
    private dl;
    d6: number;
    private mf;
    mk: Rect;
    private ho();
    protected ml(): Rect;
    private dn;
    d8: number;
    private dp;
    d9: number;
    hy(): void;
    hx(): void;
    flush(): void;
    hi(a: boolean, b: boolean): void;
    de(): boolean;
    private ks;
    private ar;
    protected jp(a: DependencyObject, b: (arg1: boolean) => void): void;
    protected j3(a: DependencyObject): void;
    hc(): void;
    cn: boolean;
    co: boolean;
    cl: boolean;
    ib(): void;
    private b2;
    readonly cy: boolean;
    g8(): void;
    c2(): boolean;
    private ex;
    e1(): number;
    bq(): FontInfo;
    bp(): FontInfo;
    j6(): void;
    protected cc: boolean;
    cq: boolean;
    seriesDataUpdated: (sender: any, e: EventArgs) => void;
    jg(): void;
    static $$p: string[];
    static $t: Type;
}
export declare abstract class SeriesViewerView extends Base implements ISchedulableRender {
    constructor(a: SeriesViewer);
    ch(): void;
    n: SeriesViewer;
    cv(): void;
    private cg();
    a: CanvasRenderScheduler;
    l: IOverviewPlusDetailPane;
    private dd(a, b);
    private dc(a, b);
    ec(): void;
    private cm(a, b);
    private cl(a, b);
    m: OverviewPlusDetailViewportHost;
    b4(a: number, b: number, c: RenderSurface): void;
    dv(): void;
    b6(): void;
    dx(): void;
    cd(): void;
    b5(): void;
    b7(): void;
    dn(a: Series): void;
    c2(): void;
    ao(a: Series): boolean;
    protected f: SeriesCollection;
    protected b: AxisCollection;
    private ag;
    as: boolean;
    bm(a: Series): void;
    di(a: RenderingContext): void;
    bu(): void;
    bq(): void;
    b8(): void;
    b3(): void;
    dg(): void;
    protected e5: Rectangle;
    protected e4: Path;
    dy(): void;
    d6(a: Rect): void;
    bt(): void;
    c5(): void;
    ee(a: number, b: number, c: number, d: number): void;
    protected e3: Line;
    protected e2: Line;
    d3(): void;
    ce(): void;
    d7(a: number, b: number, c: number, d: number): void;
    dz(): void;
    b9(): void;
    cc(): void;
    private ev(a);
    private ew(a);
    ed(a: Rect, b: Rect): void;
    d2(): void;
    ef(a: Rect): void;
    dl(a: Axis): void;
    dm(a: Axis): void;
    bl(a: Axis): void;
    bi(a: Axis): void;
    private g;
    h(): SeriesViewerComponentsFromView;
    static au(a: Series): List$1<Series>;
    ds(): void;
    i: SeriesViewerViewManager;
    protected u: RenderingContext;
    x: RenderingContext;
    w: RenderingContext;
    protected v: RenderingContext;
    al: boolean;
    am: boolean;
    protected bg: any;
    cs(a: any): void;
    private aj(a, b, c);
    protected cq(a: Point, b: boolean): void;
    protected cr(a: Point, b: boolean): void;
    protected cu(a: Point): void;
    protected cp(a: Point, b: boolean): void;
    dj(a: RenderingContext): void;
    protected get_an(): boolean;
    readonly an: boolean;
    j: EventProxy;
    d5(): void;
    a7: number;
    e(a: Point, b: boolean, c: DataContext, d: boolean): {
        ret: Series;
        p2: DataContext;
    };
    bb(): number;
    ba(): number;
    a6: number;
    a5: number;
    private ey;
    private ah;
    cn(): void;
    ct(a: number, b: number): void;
    dt(): void;
    private az;
    private ax;
    private ay;
    private aw;
    private ai;
    private y;
    private bz();
    private ea();
    t(): FontInfo;
    s(): FontInfo;
    private eu();
    private et();
    private bd();
    private a0;
    private bc();
    e9(): Thickness;
    e8(): Thickness;
    protected dk(a: Rect): void;
    cj(): void;
    private ez;
    protected dq(): void;
    isValid(): boolean;
    preRender(): void;
    protected dh(): void;
    protected z: boolean;
    protected dr(): void;
    e0(): Rect;
    ex(): Point;
    private dw();
    d4(): void;
    de(): void;
    protected aq(a: Point): boolean;
    cz(a: Point, b: boolean, c: boolean): void;
    protected cy(a: Point): void;
    protected cx(a: Point): void;
    protected c0(a: Point): void;
    du(): void;
    readonly eo: ModifierKeys;
    eg(a: Rect): void;
    ck(a: boolean): void;
    bh(a: boolean): void;
    protected eb(): void;
    private ad;
    isDirty: boolean;
    undirty(a: boolean): void;
    readonly index: number;
    postRender(): void;
    b2(): void;
    protected ac: boolean;
    ca(): void;
    d0(): void;
    bs(a: boolean): void;
    bj(a: any): void;
    d8(a: number): void;
    d9(a: number): void;
    bk(a: any): void;
    dp(a: any): void;
    c1(a: Brush): void;
    br(a: Point): void;
    at: boolean;
    k(a: boolean): InteractionState;
    cw(): void;
    private ei;
    private eh;
    a9(a: TextBlock, b: FontInfo): number;
    a8(a: string, b: FontInfo): number;
    c9(): void;
    private ej(a, b, c, d);
    c8(): void;
    c4(): void;
    c(a: Axis): AxisTitlePosition;
    d(a: Axis): AxisTitlePosition;
    da(): void;
    db(): void;
    r(): FontInfo;
    es(): Brush;
    o(): FontInfo;
    ep(): Brush;
    q(): FontInfo;
    p(): FontInfo;
    er(): Brush;
    eq(): Brush;
    readonly a2: number;
    readonly a3: number;
    readonly a4: number;
    readonly a1: number;
    readonly el: TextBlock;
    readonly ek: TextBlock;
    e1(): Rect;
    e7(): Thickness;
    e6(): Thickness;
    private ab;
    private aa;
    c3(a: any, b: any): void;
    c7(a: any, b: any): void;
    en(): HorizontalAlignment;
    em(): HorizontalAlignment;
    private ae;
    bn(): void;
    ak(): boolean;
    b1(): void;
    ci(): void;
    ar(a: Point): boolean;
    df(): void;
    private av;
    b0(a: Dictionary$2<any, ITileZoomTile>, b: List$1<ITileZoomTile>, c: number): void;
    bf(a: Rect, b: ITileZoomTile, c: number): any;
    bx(): void;
    by(a: ITileZoomTile): void;
    cf(): void;
    ap: boolean;
    private be;
    bv(): void;
    bo(): void;
    bw(a: number): void;
    bp(): void;
    private af;
    cb(): void;
    d1(): void;
    c6(): void;
    co(): void;
    static $t: Type;
}
export declare class OverviewPlusDetailViewportHost extends Base implements IProvidesViewport {
    constructor(a: SeriesViewerView);
    a: SeriesViewerView;
    getViewInfo(a: Rect, b: Rect): {
        p0: Rect;
        p1: Rect;
    };
    getEffectiveViewport(): Rect;
    static $t: Type;
}
export declare class SeriesViewerViewManager extends Base {
    af: DomRenderer;
    protected ag: DomWrapper;
    protected ak: DomWrapper;
    protected aj: DomWrapper;
    protected ah: DomWrapper;
    al: DomWrapper;
    t: RenderingContext;
    w: RenderingContext;
    v: RenderingContext;
    u: RenderingContext;
    x: RenderingContext;
    f: EventProxy;
    private j;
    constructor(a: SeriesViewerView);
    protected ai: DomWrapper;
    bg(): void;
    be(a: any): void;
    static bv(a: DomRenderer, b: () => void): void;
    private bf();
    private ae;
    a9(): void;
    g(): IOverviewPlusDetailPane;
    bj(): void;
    bk(): void;
    b0(): Brush;
    private ab;
    private aa;
    private ac;
    ay(a: number, b: number, c: number): void;
    b5(): Point;
    y(): boolean;
    bb(a: boolean): void;
    a7(a: BrushCollection, b: BrushCollection, c: Brush, d: FontInfo, e: Brush): {
        p0: BrushCollection;
        p1: BrushCollection;
        p2: Brush;
        p3: FontInfo;
        p4: Brush;
    };
    e(): DefaultPaletteInfo;
    a6(a: number, b: number[], c: Brush, d: Brush, e: number, f: boolean): {
        p0: number;
        p1: number[];
        p2: Brush;
        p3: Brush;
        p4: number;
        p5: boolean;
    };
    ax(): void;
    br(x_: number): void;
    private ad;
    bs(y_: number): void;
    at(a: any): void;
    a8(): void;
    bl(): void;
    au(a: any): void;
    bh(a: any): void;
    bc(): void;
    private l;
    p(): FontInfo;
    private b7;
    cb(): Thickness;
    private aq;
    as(): string;
    private ap;
    ar(): string;
    private b6;
    ca(): Thickness;
    private bx;
    b2(): Brush;
    private bw;
    b1(): Brush;
    private k;
    o(): FontInfo;
    private a;
    c(): AxisTitlePosition;
    private b;
    d(): AxisTitlePosition;
    private n;
    r(): FontInfo;
    private bz;
    b4(): Brush;
    private m;
    q(): FontInfo;
    private by;
    b3(): Brush;
    private b8;
    cc(): Thickness;
    private b9;
    cd(): Thickness;
    bm(): void;
    private bu();
    private bo();
    private bn();
    private bp();
    private bq();
    a5(a: number, b: number): void;
    private h;
    i(): PointerTooltipStyle;
    ba(a: boolean): void;
    private z;
    ao(a: Rect, b: ITileZoomTile, c: number): any;
    a2(a: ITileZoomTile): void;
    a1(): void;
    bi(a: List$1<ITileZoomTile>): void;
    private am;
    az(): void;
    av(): void;
    private an;
    a0(a: number): void;
    aw(): void;
    private s;
    bd(): void;
    bt(a: boolean): void;
    a3(): void;
    a4(): void;
    static $t: Type;
}
export declare class AutoRangeCalculator extends Base {
    static a(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
    static $t: Type;
}
export interface IAxisAnnotationManager {
    owner: Axis;
    onAutoAnnotionsChanged(a: Axis, b: AxisAnnotationCollection, c: NotifyCollectionChangedEventArgs): void;
    onAutoAnnotionsReset(a: Axis, b: AxisAnnotationCollection, c: EventArgs): void;
    onAnnotionsChanged(a: Axis, b: AxisAnnotationCollection, c: NotifyCollectionChangedEventArgs): void;
    onAnnotionsReset(a: Axis, b: AxisAnnotationCollection, c: EventArgs): void;
    onAddAnnotations(a: Axis): void;
    arrangeAnnotations(a: Axis, b: AxisLabelPanelBaseView, c: List$1<FrameworkElement>, d: List$1<Rect>, e: boolean, f: number, g: number, h: number, i: number, j: number): void;
}
export declare let IAxisAnnotationManager_$type: Type;
export declare class AxisLabelSettings extends Base implements INotifyPropertyChanged {
    constructor();
    private aa;
    textStyle: string;
    private ax;
    textColor: Brush;
    location: AxisLabelsLocation;
    private b;
    visibility: Visibility;
    private a2;
    showFirstLabel: boolean;
    private h;
    c: AxisLabelsLocation;
    a: Axis;
    registerAxis(a: Axis): void;
    unregisterAxis(a: Axis): void;
    angle: number;
    private m;
    extent: number;
    private o;
    margin: number;
    leftMargin: number;
    private p;
    rightMargin: number;
    private q;
    topMargin: number;
    private r;
    bottomMargin: number;
    private n;
    private au;
    horizontalAlignment: HorizontalAlignment;
    private az;
    verticalAlignment: VerticalAlignment;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    ar(a: string, b: any, c: any): void;
    protected aq(a: any, b: string, c: any, d: any): void;
    j(): boolean;
    k(): boolean;
    static readonly extentPropertyDefault: number;
    readonly i: boolean;
    private f;
    g(a: DomRenderer): FontInfo;
    static $t: Type;
}
export declare class TitleSettings extends AxisLabelSettings {
    constructor();
    private a4;
    position: AxisTitlePosition;
    protected aq(a: any, b: string, c: any, d: any): void;
    static $t: Type;
}
export declare abstract class Axis extends Control implements INotifyPropertyChanged {
    a1(): AxisView;
    a2: AxisView;
    gl(a: AxisView): void;
    f8(): void;
    private bq;
    readonly br: SRProvider;
    private a6;
    readonly a7: IAxisVisualDataManager;
    ds(): number;
    e3(): any;
    e2(): any;
    protected get_b2(): boolean;
    readonly b2: boolean;
    protected get_ca(): boolean;
    readonly ca: boolean;
    protected get_b0(): boolean;
    readonly b0: boolean;
    protected get_cb(): boolean;
    readonly cb: boolean;
    protected get_ce(): boolean;
    readonly ce: boolean;
    protected get_cc(): boolean;
    readonly cc: boolean;
    protected get_b5(): boolean;
    readonly b5: boolean;
    protected get_b3(): boolean;
    readonly b3: boolean;
    protected get_b4(): boolean;
    readonly b4: boolean;
    ah(): Axis;
    constructor();
    private a4;
    readonly a5: IAxisAnnotationManager;
    readonly b1: boolean;
    private f6(a, b);
    private f7(a, b);
    private f4(a, b);
    private f5(a, b);
    provideRenderer(a: DomRenderer): void;
    ar: (item: any) => string;
    gi(a: Rect, b: Rect): void;
    abstract as(): AxisLabelPanelBase;
    ac(): void;
    hc: Canvas;
    bl: IFastItemsSourceProvider;
    private bk;
    bf: SeriesViewer;
    private be;
    bd: XamDataChart;
    readonly bp: (sender: any, e: RectChangedEventArgs) => void;
    private bu;
    co: boolean;
    private c0;
    ea: number;
    private cv;
    db: number;
    private c6;
    eg: number;
    private c3;
    ed: number;
    private ap;
    aq: AxisExtentType;
    private cz;
    d9: number;
    da: number;
    private c5;
    ef: number;
    private c2;
    ec: number;
    private bh;
    private bg;
    bj: FontInfo;
    private e4;
    fr: string;
    private c1;
    eb: number;
    dc: number;
    private c7;
    eh: number;
    private c4;
    ee: number;
    private er;
    ew: number;
    private eq;
    ev: number;
    private ep;
    eu: number;
    es: number;
    private iz;
    i2: VerticalAlignment;
    private c9;
    ej: number;
    private c8;
    ei: number;
    g4(): void;
    private gw();
    private gx(a);
    hd: TextBlock;
    f0: string;
    ie: Brush;
    ia: Brush;
    ek: number;
    ij: DoubleCollection;
    id: Brush;
    ib: Brush;
    h8: Brush;
    d0: number;
    ih: DoubleCollection;
    ic: Brush;
    h9: Brush;
    d3: number;
    ii: DoubleCollection;
    ig: Brush;
    em: number;
    ik: DoubleCollection;
    el: number;
    dd: number;
    private g6();
    b6: boolean;
    b8: boolean;
    b9: boolean;
    cn: boolean;
    static readonly h5: DependencyProperty;
    et: number;
    aw: AxisLabelSettings;
    dh(): number;
    h6(): HorizontalAlignment;
    i0(): VerticalAlignment;
    h7(): HorizontalAlignment;
    i1(): VerticalAlignment;
    dj(): number;
    dl(): number;
    dk(): number;
    di(): number;
    dp(): number;
    dr(): number;
    dq(): number;
    dn(): number;
    ax(): AxisLabelsLocation;
    ay(): AxisLabelsLocation;
    ag: Axis;
    ey: any;
    rangeChanged: (sender: any, e: AxisRangeChangedEventArgs) => void;
    protected gu(a: AxisRangeChangedEventArgs): void;
    bc: TitleSettings;
    dm(): number;
    dg(): number;
    readonly ak: AxisAnnotationCollection;
    private ai;
    readonly al: AxisAnnotationCollection;
    private aj;
    private il;
    it: Rect;
    is: Rect;
    g7(): void;
    cq(a: Rect, b: Rect, c: AxisView): boolean;
    cd(): boolean;
    cs: List$1<any>;
    ct: List$1<LabelPosition>;
    at: AxisLabelPanelBase;
    protected ha(a: Rect, b: Rect): void;
    private bt;
    cf: boolean;
    protected iq(): Rect;
    protected hb(a: Rect, b: Rect): void;
    gv(): void;
    a3: ContentInfo;
    eo: DomRenderer;
    protected gn(a: any, b: string, c: any, d: any): void;
    private _coercionMethods;
    coercionMethods: any;
    private bs;
    protected get_expectFunctions(): boolean;
    protected set_expectFunctions(a: boolean): void;
    expectFunctions: boolean;
    ci: boolean;
    private g2();
    cp: boolean;
    protected gk(a: GeometryCollection, b: number, c: number, d: Rect): void;
    protected gj(a: GeometryCollection, b: number, c: Rect, d: PathRenderingInfo, e: boolean): void;
    protected g9(a: GeometryCollection, b: number, c: number, d: Rect): void;
    protected g8(a: GeometryCollection, b: number, c: Rect, d: PathRenderingInfo, e: boolean): void;
    private b7(a, b, c, d);
    protected g3(a: number, b: number, c: Rect, d: Rect, e: Rect, f: number, g: number): {
        p0: number;
        p1: number;
    };
    de(a: number, b: number, c: number, d: PathRenderingInfo): number;
    gb(a: GeometryCollection): void;
    protected ga(): void;
    gy(): void;
    gz(a: boolean): void;
    renderRequested: (sender: any, e: RenderRequestedEventArgs) => void;
    a9: LabelFontHeuristics;
    static d2: number;
    d7(): number;
    d5(): number;
    d6(): number;
    protected readonly cj: boolean;
    gd(a: boolean): void;
    private cx;
    private bw();
    g1(): void;
    private cy;
    a8(): LabelFontHeuristics;
    bi(): FontInfo;
    private ge();
    cg: boolean;
    ck(): boolean;
    cl(a: boolean): boolean;
    cm(): boolean;
    protected g0(a: boolean): void;
    g5(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected gt(a: string, b: any, c: any): void;
    cu: List$1<Series>;
    ch(a: Series): boolean;
    bv(a: Series): boolean;
    e1: any;
    e0(a: any): any;
    fd(a: number): string;
    d4(): number;
    dt(a: number, b: ScalerParams): number;
    du(a: number, b: ScalerParams, c: CategoryMode): number;
    ip(a: Rect): Rect;
    io(): Rect;
    im(): Rect;
    protected ir(a: Rect, b: Rect): Rect;
    dv(a: number, b: Rect, c: Rect): number;
    gg(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    gf(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    dw(a: number, b: ScalerParams): number;
    dx(a: number, b: ScalerParams, c: CategoryMode): number;
    dy(a: number, b: Rect, c: Rect): number;
    gh(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    d8(a: number): number;
    readonly abstract az: AxisOrientation;
    iy: Size;
    gm(): void;
    am: AxisComponentsForView;
    an(): AxisComponentsForView;
    df: number;
    private cw;
    d1: number;
    bz(): boolean;
    dz(): number;
    protected f9(): void;
    gc(a: AxisRangeChangedEventArgs): void;
    bo: Pool$1<TextBlock>;
    bn: Pool$1<TextBlock>;
    bm: Pool$1<Rectangle>;
    readonly iu: Path;
    readonly iv: Path;
    readonly ix: Path;
    readonly iw: Path;
    bb(): SyncSettings;
    ao(): AxisComponentsFromView;
    private au;
    readonly av: AxisLabelSettings;
    go(a: RenderingContext, b: RenderingContext): void;
    by(): boolean;
    ez(): any;
    private _cr();
    cr(): IEnumerable$1<Series>;
    gp(a: string): void;
    gs(a: any): void;
    gr(a: any): void;
    static $$p: string[];
    static $t: Type;
}
export declare class AxisCollection extends ObservableCollection$1<Axis> {
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
    static $t: Type;
}
export declare class AxisLabelManager extends Base {
    e: List$1<any>;
    f: List$1<LabelPosition>;
    b: AxisLabelPanelBase;
    a: Axis;
    c: (arg1: number) => void;
    constructor();
    l(a: Rect, b: Rect): void;
    i(a: any, b: LabelPosition): void;
    r(): void;
    static j(a: FrameworkElement): void;
    static k(a: FrameworkElement): void;
    h(a: FrameworkElement): void;
    p(a: number): void;
    m(a: number): void;
    s(a: number): FrameworkElement;
    q(a: number): void;
    readonly d: boolean;
    o(): void;
    n(): void;
    g(): void;
    static $t: Type;
}
export declare abstract class AxisLabelPanelBase extends Panel {
    ad(): AxisLabelPanelBaseView;
    b8(a: AxisLabelPanelBaseView): void;
    ae: AxisLabelPanelBaseView;
    cl: Rect;
    bz(): void;
    ce(): void;
    cd(): void;
    constructor();
    bn: number;
    ac: Axis;
    private aj;
    at: boolean;
    private ax;
    a1: List$1<any>;
    a2: List$1<LabelPosition>;
    co: Rect;
    private ck;
    cp: Rect;
    private cj;
    cn: Rect;
    private a4;
    a8: number;
    bo: () => boolean;
    a3: List$1<FrameworkElement>;
    a0: List$1<Rect>;
    af: AxisLabelSettings;
    am: boolean;
    ap: boolean;
    aq: boolean;
    ar: boolean;
    bq: any;
    ak: boolean;
    protected al(a: List$1<Rect>, b: List$1<boolean>): boolean;
    protected bp(a: number, b: List$1<Rect>, c: List$1<boolean>): {
        ret: number;
        p1?: List$1<Rect>;
    };
    ay(): List$1<Rect>;
    bx(): void;
    bt(a: Size): void;
    bd(): number;
    bh(): number;
    ao(a: number, b: Rect): boolean;
    bc(a: any): number;
    bm(a: any): number;
    be(a: any): number;
    bb(a: any): number;
    an(): boolean;
    protected ch(a: Rect, b: Rect): void;
    protected b4(a: Rect, b: Rect): void;
    az(): List$1<Rect>;
    bg(a: number, b: Size): number;
    bf(a: number, b: Size): number;
    bk(): number;
    bi(): number;
    bj(): number;
    bl(): number;
    cq(a: Size): Size;
    cm(): Rect;
    protected bw(a: Size): void;
    protected bv(a: Size): void;
    protected b0(): void;
    protected aw(): IEnumerable$1<number>;
    readonly ag: AxisLabelsLocation;
    cg(a: GeometryCollection, b: number, c: number, d: number, e: Rect, f: PathRenderingInfo): void;
    b3(a: GeometryCollection, b: number, c: number, d: number, e: Rect, f: PathRenderingInfo): void;
    cb(a: FrameworkElement, b: number): void;
    cc(a: FrameworkElement): void;
    b2(a: FrameworkElement, b: number): void;
    cr(a: Size): Size;
    static readonly ci: DependencyProperty;
    a9: number;
    a5: number;
    ai(a: TitleSettings): AxisTitlePosition;
    ah(): AxisLabelsLocation;
    as(a: AxisLabelsLocation): boolean;
    private _au();
    au(): IEnumerable$1<any>;
    bs(a: number, b: TextBlock, c: number, d: number, e: number): string;
    by(a: any): void;
    b7(a: FrameworkElement): void;
    private _av();
    av(): IEnumerable$1<any>;
    protected a6: number;
    protected a7: number;
    b1(): void;
    cf(): void;
    b5(): void;
    ba(a: Rect): number;
    b6(): void;
    b9(a: RenderingContext): void;
    bu(): void;
    ca(): void;
    static $t: Type;
}
export declare abstract class CategoryAxisBase extends Axis implements ICategoryScaler {
    a1(): AxisView;
    protected get_b4(): boolean;
    readonly b4: boolean;
    gl(a: AxisView): void;
    i3: CategoryAxisBaseView;
    constructor();
    cq(a: Rect, b: Rect, c: AxisView): boolean;
    kb(): void;
    ka(): void;
    je: List$1<number>;
    protected get_b2(): boolean;
    readonly b2: boolean;
    km(a: Point, b: boolean, c: number): Rect;
    kn(a: Point, b: boolean, c: number, d: boolean): Rect;
    i7: IFastItemsSource;
    private i6;
    itemsSource: IEnumerable;
    static readonly kj: DependencyProperty;
    private jp;
    jq: number;
    jr: number;
    categoryMode: CategoryMode;
    private i4;
    jg: number;
    jn: number;
    jb: boolean;
    jt: number;
    private js;
    dw(a: number, b: ScalerParams): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    jj(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    jo(a: number): number;
    private _jd();
    private jd();
    private i9(a);
    ja(a: SeriesViewer): boolean;
    private _jc();
    private jc();
    private i8;
    kf(a: boolean): void;
    protected gn(a: any, b: string, c: any, d: any): void;
    private j3();
    j5(a: any, b: FastItemsSourceEventArgs): void;
    protected kc(a: FastItemsSourceEventArgs): void;
    private kg();
    ch(a: Series): boolean;
    bv(a: Series): boolean;
    private kd();
    j2(): void;
    ke(): void;
    j4(a: NotifyCollectionChangedEventArgs): void;
    j9(a: number, b: any, c: any): void;
    j6(): void;
    j7(a: number, b: any): void;
    j8(a: number, b: any): void;
    getOffset(a: Rect, b: Rect, c: Rect, d: number): number;
    getOffset1(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    static $$p: string[];
    static $t: Type;
}
export declare abstract class HorizontalAxisLabelPanelBase extends AxisLabelPanelBase {
    ad(): AxisLabelPanelBaseView;
    b8(a: AxisLabelPanelBaseView): void;
    cs: HorizontalAxisLabelPanelBaseView;
    c4: number;
    c1: number;
    c3: number;
    c2: number;
    bx(): void;
    cu(): boolean;
    cv(): boolean;
    an(): boolean;
    ay(): List$1<Rect>;
    private c5(a);
    private c6(a);
    protected c7(a: List$1<Rect>, b: List$1<boolean>): void;
    protected c8(): void;
    cb(a: FrameworkElement, b: number): void;
    protected cw(): boolean;
    protected ct(): boolean;
    protected bp(a: number, b: List$1<Rect>, c: List$1<boolean>): {
        ret: number;
        p1?: List$1<Rect>;
    };
    cm(): Rect;
    cr(a: Size): Size;
    c0(): number;
    cx(): number;
    cz(): number;
    cy(): number;
    protected b0(): void;
    static $t: Type;
}
export declare class HorizontalAxisLabelPanel extends HorizontalAxisLabelPanelBase {
    ah(): AxisLabelsLocation;
    as(a: AxisLabelsLocation): boolean;
    static $t: Type;
}
export declare abstract class NumericAxisBase extends Axis {
    a1(): AxisView;
    gl(a: AxisView): void;
    i4: NumericAxisBaseView;
    protected get_ca(): boolean;
    readonly ca: boolean;
    constructor();
    j4: number;
    jw: number;
    private jq;
    j2: number;
    e3(): any;
    jz: number;
    private jt;
    j3: number;
    jv: number;
    private jp;
    e2(): any;
    j1: number;
    private js;
    jy: number;
    j0: number;
    private jo;
    ju: number;
    d4(): number;
    j5: number;
    private jr;
    jx: number;
    j6: number;
    jl: boolean;
    private jf;
    jh: boolean;
    readonly jm: boolean;
    j8: number;
    j9: number;
    i7: NumericAxisRenderer;
    protected jn: boolean;
    protected g0(a: boolean): void;
    gs(a: any): void;
    gr(a: any): void;
    protected gn(a: any, b: string, c: any, d: any): void;
    protected kt(): void;
    i3(): AxisRange;
    kr(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
    cm(): boolean;
    ku(a: AxisRangeChangedEventArgs): void;
    ch(a: Series): boolean;
    bv(a: Series): boolean;
    i6(a: AxisLabelManager): NumericAxisRenderer;
    i5(): NumericAxisRenderer;
    i9(): NumericAxisRenderingParameters;
    ks(): void;
    ja(): NumericScaler;
    i8(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    j7(a: number): number;
    ji(): boolean;
    readonly jk: boolean;
    readonly jj: boolean;
    private kv();
    static readonly k3: DependencyProperty;
    jd: TickmarkValues;
    private jb;
    jc: TickmarkValues;
    private je;
    jg: boolean;
    static $$p: string[];
    static $t: Type;
}
export declare abstract class NumericScaler extends DependencyObject {
    static readonly ac: Rect;
    abstract t(a: NumericAxisBase, b: number, c: number, d: number, e: number): {
        p3: number;
        p4: number;
    };
    l: number;
    k: number;
    protected o: number;
    protected n: number;
    y(a: number): void;
    x(a: number): void;
    protected w(a: string, b: any, c: any): void;
    private z();
    protected m: number;
    abstract q(a: number, b: ScalerParams): number;
    abstract p(a: number, b: ScalerParams): number;
    j(a: IList$1<number>, b: number, c: number, d: ScalerParams): IList$1<number>;
    v(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    u(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    static $$p: string[];
    static $t: Type;
}
export declare class AxisRendererBase extends Base {
    constructor(a: AxisLabelManager);
    u: () => void;
    o: (viewportRect: Rect, windowRect: Rect) => boolean;
    v: () => void;
    m: (p: AxisRenderingParametersBase, value: number) => number;
    l: (p: AxisRenderingParametersBase, geometry: GeometryCollection, startValue: number, endValue: number) => void;
    k: (p: AxisRenderingParametersBase, geometry: GeometryCollection, value: number) => void;
    q: (p: AxisRenderingParametersBase, value: number) => boolean;
    n: (p: AxisRenderingParametersBase, value: number) => boolean;
    j: (p: AxisRenderingParametersBase) => void;
    e: (p: AxisRenderingParametersBase) => void;
    p: (p: AxisRenderingParametersBase, position: number, isLastLabel: boolean) => boolean;
    h: (p: AxisRenderingParametersBase, value: number) => LabelPosition;
    t: (p: AxisRenderingParametersBase, value: number) => number;
    b: AxisLabelManager;
    g: (item: any) => any;
    d: (viewportRect: Rect, windowRect: Rect, effectiveViewportRect: Rect, contentViewport: Rect) => AxisRenderingParametersBase;
    r: (p: AxisRenderingParametersBase, value: number, absoluteIndex: number, interval: number) => number;
    a: (p: AxisRenderingParametersBase, value: number, absolueIndex: number, interval: number) => number;
    f: (index: number, window: Rect, viewport: Rect, effectiveViewport: Rect) => number;
    i: (index: number) => number;
    c(a: boolean, b: Rect, c: Rect, d: Rect, e: Rect): AxisRenderingParametersBase;
    private aa();
    private ab(a);
    protected x(a: Rect, b: Rect): void;
    private z();
    private s(a);
    private y(a);
    w(a: AxisRenderingParametersBase, b: number, c: number, d: number): any;
    static $t: Type;
}
export declare class NumericAxisRenderer extends AxisRendererBase {
    constructor(a: AxisLabelManager);
    w(a: AxisRenderingParametersBase, b: number, c: number, d: number): any;
    private ac;
    private ad;
    private ae(a);
    static $t: Type;
}
export declare class VerticalAxisLabelPanel extends AxisLabelPanelBase {
    ad(): AxisLabelPanelBaseView;
    b8(a: AxisLabelPanelBaseView): void;
    cs: VerticalAxisLabelPanelView;
    c1: number;
    cy: number;
    c0: number;
    cz: number;
    bx(): void;
    bh(): number;
    cu(): number;
    cw(): number;
    cx(): number;
    cv(): number;
    ay(): List$1<Rect>;
    private c2(a, b, c);
    private c3(a);
    cb(a: FrameworkElement, b: number): void;
    protected ct(): boolean;
    cm(): Rect;
    ai(a: TitleSettings): AxisTitlePosition;
    ah(): AxisLabelsLocation;
    as(a: AxisLabelsLocation): boolean;
    cr(a: Size): Size;
    protected b0(): void;
    static $t: Type;
}
export interface IHasCategoryAxis {
    readonly categoryAxis: CategoryAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
}
export declare let IHasCategoryAxis_$type: Type;
export interface IHasCategoryModePreference extends IHasCategoryAxis {
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
}
export declare let IHasCategoryModePreference_$type: Type;
export interface ISeriesInteractionManager {
    a$i(a: Series, b: Point, c: number, d: Axis, e: ScalerParams, f: number, g: number, h: (arg1: Point) => number): number;
    a$l(a: Series, b: IList$1<number>, c: Point, d: Axis, e: ScalerParams, f: number, g: (arg1: Point) => number, h: boolean, i: boolean): number;
    a$k(a: Series, b: number, c: IList$1<number>, d: number, e: number, f: number, g: number, h: number, i: boolean): number;
    a$n(a: Series, b: Point, c: boolean, d: Axis, e: (arg1: Point) => number, f: IList$1<number>): number;
    a$d(a: Series, b: Point, c: boolean): boolean;
    a$a(a: Series, b: CategoryAxisBase, c: List$1<number[]>, d: number, e: number, f: Point, g: boolean): number[][];
    a$e(a: Series, b: Point, c: boolean, d: PathGeometry): boolean;
    a$f(a: Series, b: Point, c: PathGeometry): boolean;
    a$m(a: Series, b: Point, c: boolean, d: Axis, e: (arg1: Point) => number, f: IList$1<number>): number;
    a$j(a: Series, b: Point, c: Axis): number;
    a$g(a: Series, b: Point, c: boolean): boolean;
    a$aj(a: Series, b: Point, c: boolean, d: boolean, e: number, f: Axis, g: Axis, h: (arg1: Point, arg2: boolean, arg3: boolean) => number, i: (arg1: Point, arg2: boolean) => number, j: (arg1: Point, arg2: boolean) => number): Point;
    a$t(a: Series, b: any, c: Point, d: boolean, e: boolean): void;
    a$ai(a: Series, b: HighlightingInfo, c: Brush): Brush;
    a$w(a: Series, b: Point, c: any, d: any): void;
    a$ag(a: Series, b: Point): void;
    a$z(a: Series, b: Point, c: any, d: any): void;
    a$x(a: Series, b: Point, c: any, d: any): void;
    a$u(a: Series, b: Point, c: any, d: any): void;
    a$y(a: Series, b: Point, c: any, d: any): void;
    a$v(a: Series, b: Point, c: any, d: any): void;
    a$aa(a: Series, b: Point, c: any, d: any): void;
    a$ab(a: Series, b: Point, c: any, d: any): void;
    a$p(a: Series): string;
    a$q(a: Series): string;
    readonly a$b: boolean;
    readonly a$o: any;
    a$ah(a: Series, b: any): void;
    a$af(a: Series, b: Point, c: (arg1: any) => void): void;
    a$s(a: Series): void;
    a$ae(a: Series): void;
    readonly a$c: boolean;
    readonly a$h: Dictionary$2<string, SeriesView>;
    a$r(a: Series, b: Rect, c: Rect, d: string, e: number): void;
    a$ac(a: Series, b: SeriesViewer): void;
    a$ad(a: Series, b: string, c: SeriesViewer): void;
}
export declare let ISeriesInteractionManager_$type: Type;
export interface ISeriesViewerInteractionManager {
    f$a(a: SeriesViewer): ChartHitTestMode;
    f$ae(a: SeriesViewer): void;
    f$p(a: SeriesViewer, b: Point): void;
    f$ac(a: SeriesViewer, b: Point): void;
    f$q(a: SeriesViewer, b: Point, c: boolean): void;
    f$o(a: SeriesViewer, b: Point): void;
    f$aj(a: SeriesViewer): void;
    f$ab(a: SeriesViewer, b: Point): void;
    f$ak(a: SeriesViewer, b: Point, c: number, d: number, e: number): void;
    f$aa(a: SeriesViewer, b: number): void;
    f$ag(a: SeriesViewer, b: Point, c: number, d: number, e: number): void;
    f$x(a: SeriesViewer, b: Point): void;
    f$z(a: SeriesViewer, b: number): void;
    f$r(a: SeriesViewer, b: Point): void;
    f$af(a: SeriesViewer, b: Point, c: number, d: number, e: number): void;
    f$m(a: SeriesViewer, b: Point, c: boolean): void;
    f$ai(a: SeriesViewer): void;
    f$ah(a: SeriesViewer): void;
    f$am(a: SeriesViewer): void;
    f$j(a: SeriesViewer): void;
    f$g(a: SeriesViewer): void;
    f$l(a: SeriesViewer, b: Point, c: boolean): void;
    f$k(a: SeriesViewer, b: Point, c: boolean): void;
    f$al(a: SeriesViewer): void;
    f$ad(a: SeriesViewer): void;
    f$d(a: SeriesViewer, b: Key): boolean;
    f$e(a: SeriesViewer, b: Point, c: number): boolean;
    f$n(a: SeriesViewer, b: Point): void;
    f$i(a: SeriesViewer): void;
    f$h(a: SeriesViewer): void;
    readonly f$b: IHighlightingManager;
    f$c(a: SeriesViewer, b: SeriesCollection, c: RenderingContext, d: Point, e: boolean, f: DataContext, g: boolean): {
        ret: Series;
        p5: DataContext;
    };
    f$f(a: SeriesViewer, b: Point): boolean;
    f$v(a: SeriesViewer, b: SeriesCollection, c: RenderingContext, d: Point, e: boolean, f: boolean): void;
    f$u(a: SeriesViewer, b: Point): void;
    f$t(a: SeriesViewer, b: EventProxy, c: Point): void;
    f$w(a: SeriesViewer, b: EventProxy, c: Point): void;
    f$s(a: SeriesViewer, b: Point, c: boolean): void;
    f$y(a: SeriesViewer, b: boolean): void;
}
export declare let ISeriesViewerInteractionManager_$type: Type;
export interface IDataChartVisualDataManager {
    exportVisualData(a: XamDataChart): any;
}
export declare let IDataChartVisualDataManager_$type: Type;
export interface IAxisVisualDataManager {
    exportVisualData(a: Axis): any;
}
export declare let IAxisVisualDataManager_$type: Type;
export interface ISeriesVisualDataManager {
    exportVisualData(a: Series, b: Rect): any;
    exportMarkerVisualData(a: MarkerSeries, b: any): void;
    getMarkerVisualData(a: Series, b: Marker, c: DataTemplate): any;
    copyVisualData(a: any, b: any): void;
    exportTrendlineData(a: Series, b: any, c: Polyline): void;
    exportStackedVisualData(a: Series, b: Rect): any;
    createFragmentVisualData(a: Series, b: Rect, c: string, d: string): any;
    addSubSeriesVisualData(a: any, b: any): void;
    exportRectangleData(a: any, b: Rectangle, c: string, d: string[]): void;
    exportMarkerVisualDataFromMarker(a: Series, b: any, c: ContentControl): void;
    exportPathData(a: any, b: Path, c: string, d: string[]): void;
    exportPolylineData(a: any, b: Polyline, c: string, d: string[]): void;
    exportPolygonData(a: any, b: Polygon, c: string, d: string[]): void;
    exportSeriesPixelsData(a: any, b: number[], c: number, d: number): void;
    addPointerTooltipData(a: any, b: any, c: number, d: number, e: List$1<string>): void;
    exportPointerTooltipData(a: Polygon, b: Polyline, c: Rectangle, d: Rect): any;
}
export declare let ISeriesVisualDataManager_$type: Type;
export declare class XamDataChart extends SeriesViewer {
    static n0: number;
    static nz: number;
    private _xsr;
    private readonly XSRP;
    private nb;
    readonly nc: IDataChartVisualDataManager;
    static staticInit(): void;
    static n7(a: Series): number;
    constructor();
    protected i9(a: any, b: string, c: any, d: any): void;
    private ow();
    nm: boolean;
    ed(): number;
    ee(): number;
    protected j4(): void;
    n5: number;
    n6: number;
    private nr;
    nx: number;
    private ns;
    ny: number;
    c0(): boolean;
    c1(): boolean;
    nk: boolean;
    np: boolean;
    nl: boolean;
    nn: boolean;
    na: GridMode;
    nh: boolean;
    no: boolean;
    m3: BrushCollection;
    m4: BrushCollection;
    m6: BrushCollection;
    m5: BrushCollection;
    pi: Brush;
    pg: Brush;
    ph: Brush;
    readonly axes: AxisCollection;
    private m7;
    private ot(a, b);
    private ou(a, b);
    axisRangeChanged: (sender: any, e: ChartAxisRangeChangedEventArgs) => void;
    private ov(a, b);
    private static ox(a, b, c);
    kd(a: SyncLink, b: SyncLink): void;
    private ne;
    getFontInfo(): FontInfo;
    oy(): void;
    getFontBrush(): Brush;
    protected he(): void;
    lz(): Brush;
    da(): boolean;
    protected j8(): void;
    l0(a: number): Brush;
    private pj(a, b);
    l4(a: number): Brush;
    l5(a: number): Brush;
    l6(a: number): Brush;
    ci(): boolean;
    private nj();
    protected bj(): SeriesViewerView;
    protected ix(a: SeriesViewerView): void;
    nd: XamDataChartView;
    jo(): void;
    private nu;
    n2: number;
    private nw;
    n4: number;
    private nv;
    n3: number;
    private nt;
    n1: number;
    protected mm(a: Rect): Rect;
    mr(): Rect;
    n8(): any;
    og(): string;
    i6(): void;
    jq(): void;
    nq(a: Axis): List$1<Axis>;
    static $$p: string[];
    static $t: Type;
}
export declare class LabelPanelArranger extends Base {
    static e(a: List$1<AxisLabelPanelBase>, b: Rect): Rect;
    private static a(a, b, c);
    static b(a: AxisLabelPanelBase): AxisLabelsLocation;
    private static c(a, b, c, d);
    static d(a: List$1<AxisLabelPanelBase>, b: LabelPanelsArrangeState, c: Rect, d: (arg1: AxisLabelPanelBase, arg2: Rect) => void): void;
    static $t: Type;
}
export declare class ChartContentManager extends DependencyObject {
    private l;
    private q;
    private s;
    private t;
    constructor(a: SeriesViewer);
    k(a: ChartContentType, b: DependencyObject, c: (arg1: boolean) => void): ContentInfo;
    ac(a: ChartContentType, b: DependencyObject): void;
    private m;
    private u;
    z(a: DomRenderer): void;
    y(): void;
    ab(a: ChartContentType, b: DependencyObject, c: ContentInfo, d: boolean): void;
    private p;
    private j(a, b);
    x(): void;
    private v();
    private _r();
    private r();
    w(a: Size): void;
    n: boolean;
    o: boolean;
    ad(a: ChartContentType, b: DependencyObject, c: ContentInfo, d: Rect): void;
    aa(a: Axis, b: ContentInfo): void;
    static $t: Type;
}
export declare class ContentInfo extends Base {
    h: DependencyObject;
    a: (arg1: boolean) => void;
    b: boolean;
    c: boolean;
    i: Rect;
    readonly d: boolean;
    g(): void;
    f(): void;
    e: boolean;
    static $t: Type;
}
export declare abstract class Series extends Control implements INotifyPropertyChanged, IProvidesViewport, ILegendSeries, ILegendOwner, ILegendTemplateProvider {
    bi: SeriesView;
    private static ez;
    fe: number;
    ld: Rect;
    private ex;
    ey: DomRenderer;
    provideRenderer(a: DomRenderer): void;
    gl(): string;
    constructor();
    private static readonly kq;
    protected he(a: any, b: PropertyChangedEventArgs): void;
    private b1;
    readonly b2: SRProvider;
    private a1;
    readonly a2: ISeriesVisualDataManager;
    protected readonly du: Dictionary$2<string, SeriesView>;
    private az;
    readonly a0: ISeriesInteractionManager;
    readonly cw: boolean;
    bt: DoubleAnimator;
    ii(a: SeriesView): void;
    ig(): void;
    ih(): void;
    bg(): SeriesView;
    protected bf(): SeriesView;
    jl: Canvas;
    dq(): boolean;
    d6(a: Point): number;
    e4(a: Point): number;
    protected get_c0(): boolean;
    readonly c0: boolean;
    ap(): CategoryAxisBase;
    e2(a: Point): number;
    fj(a: Point): any;
    protected fl(a: Series, b: Point): any;
    e1(): number;
    e5(): number;
    fa(): number;
    readonly container: ILegendOwner;
    readonly hasSubItems: boolean;
    protected ch(): boolean;
    forSubItems(a: (arg1: any) => void): void;
    protected hw(a: (arg1: any) => void): void;
    hx(a: (arg1: Series) => boolean): void;
    kx(): Brush;
    resolveLegendIndex(): number;
    a6(): Series;
    protected get_ci(): boolean;
    readonly ci: boolean;
    protected get_isVertical(): boolean;
    readonly isVertical: boolean;
    protected get_cr(): boolean;
    readonly cr: boolean;
    protected get_cj(): boolean;
    readonly cj: boolean;
    protected get_cz(): boolean;
    readonly cz: boolean;
    protected get_c3(): boolean;
    readonly c3: boolean;
    protected get_c1(): boolean;
    readonly c1: boolean;
    protected get_isStacked(): boolean;
    readonly isStacked: boolean;
    protected get_cq(): boolean;
    readonly cq: boolean;
    protected get_c2(): boolean;
    readonly c2: boolean;
    protected get_ck(): boolean;
    readonly ck: boolean;
    protected get_cs(): boolean;
    readonly cs: boolean;
    a5(): Series;
    protected get_cl(): boolean;
    readonly cl: boolean;
    protected get_cm(): boolean;
    readonly cm: boolean;
    d4(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    protected d5(a: Point, b: number, c: Axis, d: ScalerParams, e: number, f: number, g: (arg1: Point) => number): number;
    protected get_ds(): boolean;
    readonly ds: boolean;
    protected ej(a: IList$1<number>, b: Point, c: Axis, d: ScalerParams, e: number, f: (arg1: Point) => number, g: boolean, h: boolean): number;
    ea(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    e9(a: Point, b: boolean, c: Axis, d: (arg1: Point) => number, e: IList$1<number>): number;
    d9(a: boolean): number;
    ah(a: Point): Point[][];
    ai(a: Point): Point[][];
    protected dd(a: Point, b: boolean): boolean;
    aj(a: CategoryAxisBase, b: List$1<number[]>, c: number, d: number, e: Point, f: boolean): number[][];
    protected df(a: Point, b: boolean, c: PathGeometry): boolean;
    protected dg(a: Point, b: PathGeometry): boolean;
    e7(a: Point, b: boolean, c: Axis, d: (arg1: Point) => number, e: IList$1<number>): number;
    d8(a: Point, b: Axis): number;
    e8(a: Point, b: boolean): number;
    e6(a: Point, b: boolean): number;
    eh(a: Point, b: boolean, c: boolean): number;
    k9(a: Point, b: boolean, c: boolean): Point;
    li(a: Point): Rect;
    ak(a: Point): Rect[];
    lj(a: Point): Rect;
    al(a: Point): Rect[];
    lk(a: Point): Rect;
    ll(a: Point): Rect;
    protected dh(a: Point, b: boolean): boolean;
    protected lb(a: Point, b: boolean, c: boolean, d: number, e: Axis, f: Axis, g: (arg1: Point, arg2: boolean, arg3: boolean) => number, h: (arg1: Point, arg2: boolean) => number, i: (arg1: Point, arg2: boolean) => number): Point;
    ed(a: Point, b: boolean, c: boolean): number;
    k5(a: Point, b: boolean, c: boolean): Point;
    ef(a: Point, b: boolean, c: boolean): number;
    k7(a: Point, b: boolean, c: boolean): Point;
    la(a: Point, b: boolean, c: boolean): Point;
    ei(a: Point, b: boolean, c: boolean): number;
    k6(a: Point, b: boolean, c: boolean): Point;
    ee(a: Point, b: boolean, c: boolean): number;
    k8(a: Point, b: boolean, c: boolean): Point;
    eg(a: Point, b: boolean, c: boolean): number;
    e3(a: Point): number;
    eb(): number;
    d7(a: Point): number;
    fk(a: Point): any;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected raisePropertyChanged(a: string, b: any, c: any): void;
    protected get_hasMarkers(): boolean;
    readonly hasMarkers: boolean;
    ku(): Brush;
    kv(): Brush;
    jn(): DataTemplate;
    lc(a: Point): Point;
    k4(a: Point): Point;
    fm(a: any, b: Point): any;
    c6(a: any): boolean;
    an(a: Axis): AxisRange;
    ao(): AxisRange;
    i1(a: boolean): void;
    renderRequested: (sender: any, e: RenderRequestedEventArgs) => void;
    private hr(a);
    i2(a: boolean): void;
    protected dj: boolean;
    protected hi(): void;
    protected hm(): void;
    bh: SeriesView;
    i3(a: Rect, b: RenderSurface): void;
    i0(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    getEffectiveViewport1(a: SeriesView): Rect;
    le(a: SeriesView): Rect;
    lh(a: Rect): Rect;
    lg(a: SeriesView): Rect;
    getEffectiveViewport(): Rect;
    iw(): void;
    private ix(a);
    iy(a: string): void;
    getViewInfo(a: Rect, b: Rect): {
        p0: Rect;
        p1: Rect;
    };
    dt(a: Rect, b: Rect, c: SeriesView): boolean;
    hl(a: boolean, b: SeriesView): void;
    protected cb(): boolean;
    cc(a: SeriesView): boolean;
    ij(a: Rect, b: Rect): void;
    protected jh(a: Rect, b: Rect): void;
    protected jg(a: Rect, b: Rect): void;
    aq: ContentInfo;
    private b6;
    di: boolean;
    protected hv(a: Series): void;
    protected h9(): void;
    h8(): void;
    protected get_cv(): boolean;
    readonly cv: boolean;
    protected get_isUsableInLegend(): boolean;
    readonly isUsableInLegend: boolean;
    protected id(): void;
    ia(): void;
    protected ik(): void;
    il(): void;
    protected db: boolean;
    protected dc: boolean;
    protected c5(): boolean;
    protected im(a: boolean): void;
    private b7;
    protected dk: boolean;
    protected readonly dl: boolean;
    protected io(a: any, b: string, c: any, d: any): void;
    ht(): void;
    protected cg(): boolean;
    protected get_cu(): boolean;
    protected readonly cu: boolean;
    cd: boolean;
    protected hq(a: Series): void;
    bn: SyncLink;
    private bm;
    bs: SeriesViewer;
    private br;
    bq: XamDataChart;
    readonly dy: (sender: any, e: NotifyCollectionChangedEventArgs) => void;
    readonly a4: (sender: any, e: PropertyUpdatedEventArgs) => void;
    readonly b0: (sender: any, e: RectChangedEventArgs) => void;
    itemsSource: IEnumerable;
    static readonly j1: DependencyProperty;
    bz: IFastItemsSource;
    eu: (sender: any, e: FastItemsSourceEventArgs) => void;
    protected ho(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    ay: IChartLegend;
    static readonly j5: DependencyProperty;
    jk: Control;
    private jj;
    fn(): any;
    protected ji(): Control;
    aw: IChartLegend;
    private av;
    ln: Visibility;
    legendItemBadgeTemplate: DataTemplate;
    static readonly j2: DependencyProperty;
    bl: StandardLegendItems;
    bj: StandardLegendBadges;
    bk: StandardLegendItems;
    legendItemTemplate: DataTemplate;
    static readonly j3: DependencyProperty;
    jm: DataTemplate;
    static readonly jv: DependencyProperty;
    fb: number;
    static readonly jy: DependencyProperty;
    jf(): void;
    hs(): void;
    protected jc(): void;
    bu: (time: number) => number;
    bv: (time: number) => number;
    cf: boolean;
    fc: number;
    et: number;
    ca(): boolean;
    i9(): void;
    eo: number;
    fo: any;
    kt: Brush;
    kr: Brush;
    kw: Brush;
    ks: Brush;
    em: number;
    es: number;
    k0: PenLineCap;
    kz: DoubleCollection;
    toolTip: any;
    ct: boolean;
    co: boolean;
    protected get_cp(): boolean;
    readonly cp: boolean;
    ep: number;
    ky: Color;
    dr: boolean;
    eq: number;
    er: number;
    b9: boolean;
    d2: number;
    d1: number;
    jb(): void;
    private b5;
    cn: boolean;
    da: boolean;
    as(a: any): DataContext;
    fd: number;
    bp: TransitionInSpeedType;
    protected bo(): TransitionInSpeedType;
    fh: any;
    iz(): void;
    i4(): void;
    hj(): void;
    h0(): void;
    private static _dw(a, b, c);
    static dw(a: (arg1: number) => number, b: number, c: number): IEnumerable$1<number>;
    static dv(a: (arg1: number) => number, b: number): IEnumerable$1<number>;
    k2: PenLineCap;
    k1: PenLineCap;
    private a7;
    a8(): SeriesComponentsForView;
    i5(a: Canvas): void;
    ek(): number;
    el(): number;
    private b8;
    protected get_dm(): boolean;
    protected set_dm(a: boolean): void;
    protected dm: boolean;
    readonly c8: boolean;
    c4: boolean;
    at(a: any, b: Point): HighlightingInfo;
    au(a: any, b: Point): HighlightingInfo;
    ie(a: Point, b: any, c: any): void;
    i8(a: Point): void;
    private hg(a, b);
    private hk();
    hf(a: IChartLegend, b: IChartLegend): void;
    private hh(a, b);
    iv(a: IFastItemsSourceProvider): void;
    iu(a: IFastItemsSourceProvider): void;
    protected ax(): IChartLegend;
    protected c9(): boolean;
    c7(a: boolean): boolean;
    protected hp(a: Axis): void;
    protected it(a: Axis): void;
    a9(): SeriesComponentsFromView;
    jd(a: Canvas): void;
    i7(a: Point, b: (arg1: any) => void): void;
    protected get_dp(): boolean;
    readonly dp: boolean;
    ip(a: RenderingContext, b: RenderingContext): void;
    ir(a: Rect): void;
    hz(a: NotifyCollectionChangedEventArgs): void;
    h6(a: number, b: any, c: any): void;
    h3(): void;
    h4(a: number, b: any): void;
    h5(a: number, b: any): void;
    ja(): void;
    fq: any;
    ew: (arg1: any) => any;
    de(a: Point, b: boolean): boolean;
    protected _coercionMethods: any;
    protected get_coercionMethods(): any;
    protected set_coercionMethods(a: any): void;
    coercionMethods: any;
    private b4;
    protected get_expectFunctions(): boolean;
    protected set_expectFunctions(a: boolean): void;
    expectFunctions: boolean;
    ar(a: Point, b: boolean): DataContext;
    private bb;
    be: SeriesHitTestMode;
    protected bd(): SeriesHitTestMode;
    private ba;
    bc: SeriesHitTestMode;
    protected bw(a: string): IFastItemColumn$1<number>;
    protected bx(a: string): IFastItemColumn$1<number>;
    protected by(a: string): IFastItemColumn$1<any>;
    protected readonly lm: Rect;
    protected get_cy(): boolean;
    readonly cy: boolean;
    protected get_cx(): boolean;
    readonly cx: boolean;
    i6(a: Brush, b: Brush): void;
    b3: (arg1: SeriesViewer) => void;
    protected hn(a: any, b: any): void;
    fi(): any;
    protected hu(a: any): void;
    private k3;
    h1(a: Point): void;
    protected ic(a: Point): void;
    h2(): void;
    h7(): void;
    am(a: Axis): Axis;
    ag(): Axis[];
    ec(): number;
    ib(): void;
    private dz;
    d3: number;
    private d0;
    en: number;
    private je();
    static $$p: string[];
    static $t: Type;
}
export declare abstract class MarkerSeries extends Series {
    lo: MarkerSeriesView;
    constructor();
    ii(a: SeriesView): void;
    protected get_hasMarkers(): boolean;
    readonly hasMarkers: boolean;
    ku(): Brush;
    kv(): Brush;
    jn(): DataTemplate;
    lp: MarkerType;
    l8: DataTemplate;
    l6: DataTemplate;
    l7: DataTemplate;
    private static l5;
    static readonly l9: DataTemplate;
    ml: Brush;
    static readonly md: DependencyProperty;
    mj: Brush;
    mm: Brush;
    mk: Brush;
    mn: Style;
    lt: boolean;
    lr(): boolean;
    protected io(a: any, b: string, c: any, d: any): void;
    static ly(a: MarkerType): string;
    static lq(a: Series, b: MarkerType): MarkerType;
    protected jc(): void;
    protected hu(a: any): void;
    protected ls(a: Point, b: boolean): boolean;
    ar(a: Point, b: boolean): DataContext;
    static $$p: string[];
    static $t: Type;
}
export declare class SyncLink extends FrameworkElement implements INotifyPropertyChanged, IFastItemsSourceProvider {
    constructor();
    ai: string;
    protected am(a: any, b: string, c: any, d: any): void;
    releaseFastItemsSource(a: IEnumerable): IFastItemsSource;
    static ah: (arg1: IEnumerable) => IFastItemsSource;
    private static ad(a);
    getFastItemsSource(a: IEnumerable): IFastItemsSource;
    ae(a: IEnumerable): IFastItemsSource;
    private af;
    aq: Rect;
    private ar(a, b, c);
    private as(a, b, c, d);
    readonly ag: IList$1<SeriesViewer>;
    ab: ChartCollection;
    private aj(a, b);
    ak(a: SeriesViewer, b: Point): void;
    al(a: SeriesViewer, b: Rect): void;
    ao(a: SeriesViewer, b: Rect): void;
    ap(a: SeriesViewer, b: Rect, c: boolean): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    propertyUpdated: (sender: any, e: PropertyUpdatedEventArgs) => void;
    protected an(a: string, b: any, c: any): void;
    static $t: Type;
}
export declare class SyncLinkManager extends Base {
    private static b;
    static c(): SyncLinkManager;
    private d;
    readonly e: number;
    constructor();
    a(a: string): SyncLink;
    f(a: SyncLink): void;
    static $t: Type;
}
export declare class SyncManager extends Base {
    static e(a: SeriesViewer): void;
    static c(a: SeriesViewer): void;
    static b(a: SeriesViewer, b: string, c: string): void;
    static d(a: DependencyObject, b: SyncSettings): void;
    static a(a: DependencyObject): SyncSettings;
    static $t: Type;
}
export declare class ChartCollection extends ObservableCollection$1<SeriesViewer> {
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
    static $t: Type;
}
export declare class SeriesCollection extends ObservableCollection$1<Series> {
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
    static $t: Type;
}
export declare class ChartCursorEventArgs extends EventArgs {
    constructor(a: SeriesViewer, b: Series, c: any);
    toString(): string;
    private _item;
    item: any;
    private _series;
    series: Series;
    private _seriesViewer;
    seriesViewer: SeriesViewer;
    readonly chart: XamDataChart;
    static $t: Type;
}
export declare class DataChartMouseButtonEventArgs extends EventArgs {
    constructor(a: SeriesViewer, b: Series, c: any, d: MouseButtonEventArgs);
    toString(): string;
    protected g: MouseButtonEventArgs;
    handled: boolean;
    getPosition(a: UIElement): Point;
    readonly originalSource: any;
    private _item;
    item: any;
    private _series;
    series: Series;
    private _chart;
    chart: SeriesViewer;
    static $t: Type;
}
export declare class ChartMouseEventArgs extends EventArgs {
    constructor(a: SeriesViewer, b: Series, c: any, d: MouseEventArgs);
    toString(): string;
    private f;
    getPosition(a: UIElement): Point;
    readonly originalSource: any;
    private _item;
    item: any;
    private _series;
    series: Series;
    private _chart;
    chart: SeriesViewer;
    static $t: Type;
}
export declare class HighlightingInfo extends Base {
    constructor();
    f: number;
    e: number;
    a: HighlightingState;
    d: number;
    c: boolean;
    b: Series;
    static $t: Type;
}
export interface IHighlightingManager {
    startHighlight(a: HighlightingInfo): void;
    endHighlight(a: HighlightingInfo): void;
    clear(): void;
    getHighlightingInfo(a: Series, b: IFastItemsSource, c: Axis, d: number, e: number, f: boolean): HighlightingInfo;
    tick(a: number): boolean;
    inProgress: boolean;
    maxHighlightingProgress: number;
    sumHighlightingProgress: number;
    maxMarkerHighlightingProgress: number;
    sumMarkerHighlightingProgress: number;
    readonly dirtySeries: List$1<Series>;
}
export declare let IHighlightingManager_$type: Type;
export declare class AxisComponentsForView extends Base {
    a: AxisLabelPanelBase;
    static $t: Type;
}
export declare class AxisLabelPanelBaseView extends Base {
    protected a: AxisLabelPanelBase;
    av: Path;
    constructor(a: AxisLabelPanelBase);
    aa(a: FrameworkElement, b: Rect, c: number, d: number, e: number, f: number): void;
    z(a: Rectangle, b: TextBlock, c: LabelPosition, d: Rect, e: number, f: number, g: number, h: number): void;
    ad(a: FrameworkElement): void;
    ag(a: any): void;
    ah(a: any, b: Size): void;
    ai(a: FrameworkElement, b: number): void;
    aq(a: Rectangle, b: TextBlock, c: LabelPosition, d: Rect, e: number, f: number, g: number, h: number, i: number): void;
    x(a: TextBlock, b: number, c: number, d: number): string;
    ae(): void;
    g(): IEnumerable$1<any>;
    l(a: any): number;
    n(a: any): number;
    am(): void;
    m(a: any): number;
    w(a: any): number;
    ac(): void;
    aj(): void;
    protected e: RenderingContext;
    f(): RenderingContext;
    ak(a: RenderingContext): void;
    y(): void;
    protected al(): void;
    private au;
    protected ao(a: TextBlock): void;
    an(): void;
    d(): FontInfo;
    as(): Brush;
    private c;
    af(): void;
    private h;
    private ar();
    private i;
    j(): number;
    k(): number;
    protected ap(): void;
    ab(a: Size): void;
    protected aw(): Thickness;
    v(): number;
    s(): number;
    t(): number;
    u(): number;
    at(): GeometryCollection;
    b(): PathRenderingInfo;
    r(): number;
    p(): number;
    q(): number;
    o(): number;
    static $t: Type;
}
export declare class AxisView extends Base implements ISchedulableRender {
    protected a: Axis;
    constructor(a: Axis);
    af(): void;
    ah(a: any): void;
    a6: Path;
    a7: Path;
    a9: Path;
    a8: Path;
    aw(): TextBlock;
    ap(a: TextBlock): void;
    ar(a: TextBlock): void;
    aq(a: TextBlock): void;
    bb(): Rectangle;
    o(a: Rectangle): void;
    q(a: Rectangle): void;
    p(a: Rectangle): void;
    ai(): void;
    l(): boolean;
    readonly index: number;
    ac(): void;
    aa(): void;
    w(): void;
    au(a: Visibility): void;
    am(): void;
    v(a: AxisLabelSettings): void;
    private b;
    c(): AxisComponentsFromView;
    y(a: GeometryCollection): void;
    ax(): GeometryCollection;
    e(): PathRenderingInfo;
    a0(): GeometryCollection;
    ay(): GeometryCollection;
    f(): PathRenderingInfo;
    az(): GeometryCollection;
    g(): PathRenderingInfo;
    protected readonly d: AxisLabelPanelBase;
    as(a: Axis, b: Rect, c: Rect): void;
    x(): void;
    ao(a: number): void;
    at(a: List$1<any>, b: List$1<LabelPosition>): void;
    an(a: number): void;
    u(): void;
    n(a: number): string;
    m(dataItem_: any): any;
    protected j: RenderingContext;
    i: RenderingContext;
    ae(a: RenderingContext, b: RenderingContext): void;
    private _isDirty;
    isDirty: boolean;
    protected ad(): void;
    undirty(a: boolean): void;
    private ba;
    protected ak(a: boolean): void;
    postRender(): void;
    private a4;
    protected al(): void;
    ab(): void;
    z(a: SeriesViewer): void;
    t(a: SeriesViewer): void;
    h(): FontInfo;
    k(): boolean;
    aj(): void;
    s(): void;
    av(): void;
    r(a: AxisLabelSettings, b: string): void;
    preRender(): void;
    isValid(): boolean;
    a1(a: TextBlock): Point;
    a2(): Point;
    a5(): Rect;
    a3(a: TextBlock): Point;
    bc(a: TextBlock): Thickness;
    ag(): void;
    static $t: Type;
}
export declare class CategoryAxisBaseView extends AxisView {
    protected bd: CategoryAxisBase;
    constructor(a: CategoryAxisBase);
    n(a: number): string;
    be(a: List$1<any>): number;
    static $t: Type;
}
export declare class HorizontalAxisLabelPanelBaseView extends AxisLabelPanelBaseView {
    protected ax: HorizontalAxisLabelPanelBase;
    constructor(a: HorizontalAxisLabelPanelBase);
    az(): void;
    a0(a: List$1<Rect>, b: List$1<boolean>, c: number): void;
    ay(): boolean;
    a1(a: List$1<Rect>): void;
    static $t: Type;
}
export declare class NumericAxisBaseView extends AxisView {
    protected bd: NumericAxisBase;
    constructor(a: NumericAxisBase);
    be(): void;
    n(a: number): string;
    static $t: Type;
}
export declare class VerticalAxisLabelPanelView extends AxisLabelPanelBaseView {
    protected ax: VerticalAxisLabelPanel;
    constructor(a: VerticalAxisLabelPanel);
    ay(): void;
    d(): FontInfo;
    protected aw(): Thickness;
    as(): Brush;
    az(a: List$1<Rect>, b: number): void;
    static $t: Type;
}
export declare class XamDataChartView extends SeriesViewerView {
    constructor(a: XamDataChart);
    protected fa: XamDataChart;
    fe(a: any): void;
    protected dh(): void;
    du(): void;
    fj: Brush;
    ff: Brush;
    fg: Brush;
    fi: Brush;
    fh: Brush;
    fc: number;
    fd: number;
    cs(a: any): void;
    protected dr(): void;
    fb: FontInfo;
    static $t: Type;
}
export declare class SeriesView extends Base implements ISchedulableRender, IProvidesViewport {
    protected e: Series;
    p: boolean;
    constructor(a: Series);
    getDefaultTooltipTemplate(): string;
    am(): void;
    d: DataContext;
    ap(): void;
    getEffectiveViewport(): Rect;
    aw(): void;
    ag(): void;
    readonly t: DomRenderer;
    private _isDirty;
    isDirty: boolean;
    protected get_index(): number;
    readonly index: number;
    protected an(): void;
    undirty(a: boolean): void;
    private br;
    ar(): void;
    s: number;
    private r();
    protected a1(a: boolean): void;
    private bm;
    protected ba(a: any, b: number, c: boolean): void;
    protected bd(a: any, b: number, c: boolean): void;
    protected x(a: number, b: boolean): any;
    protected y(a: number): any;
    protected z(a: number): any;
    protected bb(a: any, b: number): void;
    protected be(a: any, b: number): void;
    protected bc(a: any, b: number): void;
    protected bf(a: any, b: number): void;
    protected a7(a: boolean): void;
    protected a8(): void;
    protected a9(): void;
    private bj;
    protected bl(a: number): Brush;
    protected bk(): Brush;
    protected a3(a: RenderingContext, b: boolean): void;
    protected a2(a: RenderingContext, b: boolean): void;
    au(): void;
    aj(): void;
    ak(): void;
    private f;
    g(): SeriesComponentsFromView;
    a6(a: Canvas): void;
    q(): boolean;
    at(): void;
    as(): void;
    a4(): void;
    ae(): void;
    a5(): void;
    af(): void;
    c(a: any): DataContext;
    protected h: RenderingContext;
    protected i: RenderingContext;
    ao(a: RenderingContext, b: RenderingContext): void;
    private bn;
    bp: Rect;
    bo: Rect;
    protected get_bq(): Rect;
    readonly bq: Rect;
    private j;
    n: boolean;
    ah(a: SeriesViewer): void;
    a: CanvasRenderScheduler;
    ad(a: SeriesViewer): void;
    postRender(): void;
    protected ax(): void;
    b(a: number): DataContext;
    az(a: RenderSurface): void;
    ai(a: any): void;
    bg(): void;
    aq(): void;
    av(): void;
    getViewInfo(a: Rect, b: Rect): {
        p0: Rect;
        p1: Rect;
    };
    l(): boolean;
    protected o: boolean;
    bh(): void;
    a0(): void;
    protected ac(): void;
    al(): void;
    preRender(): void;
    isValid(): boolean;
    k: boolean;
    m: boolean;
    ay(a: RenderSurface): void;
    aa: string;
    bi(type_: StandardLegendItems): DataTemplate;
    static $t: Type;
}
export declare abstract class MarkerSeriesView extends SeriesView {
    protected bw: MarkerSeries;
    private b0;
    private b2;
    private b1;
    constructor(a: MarkerSeries);
    ap(): void;
    cb(): void;
    ci(a: boolean): void;
    protected bz: List$1<Marker>;
    bv(): Marker;
    abstract ca(a: (arg1: Marker) => void): void;
    ce(a: Marker): void;
    cg(a: Marker): void;
    cf(a: Marker): void;
    bx(): boolean;
    b9(): void;
    b3(): void;
    ck(a: Marker): Rect;
    b6(a: string): void;
    b7(): void;
    b4(): void;
    b8(): void;
    b5(): void;
    ch(): void;
    by: boolean;
    protected be(a: any, b: number): void;
    private bs;
    protected bf(a: any, b: number): void;
    b(a: number): DataContext;
    private cj;
    protected a2(a: RenderingContext, b: boolean): void;
    cc(a: HashPool$2<any, Marker>): void;
    cd(a: Pool$1<Marker>): void;
    bt(a: Point): Marker;
    private bu(a, b);
    static $t: Type;
}
export declare class ChartAxisRangeChangedEventArgs extends EventArgs {
    constructor(a: SeriesViewer, b: Axis, c: number, d: number, e: number, f: number);
    private _chart;
    chart: SeriesViewer;
    private _axis;
    axis: Axis;
    private _oldMinimumValue;
    oldMinimumValue: number;
    private _minimumValue;
    minimumValue: number;
    private _oldMaximumValue;
    oldMaximumValue: number;
    private _maximumValue;
    maximumValue: number;
    static $t: Type;
}
